import request from '@/utils/request'

// 查询签到规则配置列表
export function listSignRuleconfig(query) {
  return request({
    url: '/system/signRuleconfig/list',
    method: 'get',
    params: query
  })
}

// 查询签到规则配置详细
export function getSignRuleconfig(id) {
  return request({
    url: '/system/signRuleconfig/' + id,
    method: 'get'
  })
}

// 新增签到规则配置
export function addSignRuleconfig(data) {
  return request({
    url: '/system/signRuleconfig',
    method: 'post',
    data: data
  })
}

// 修改签到规则配置
export function updateSignRuleconfig(data) {
  return request({
    url: '/system/signRuleconfig',
    method: 'put',
    data: data
  })
}

// 删除签到规则配置
export function delSignRuleconfig(id) {
  return request({
    url: '/system/signRuleconfig/' + id,
    method: 'delete'
  })
}
